For the complete documentation index, see llms.txt. This page is also available as Markdown.

XML Olarak Gönderilecek Faturayı Önizler

Gönderilecek faturayı ön izler.

post

Xml olarak gönderilecek faturayı ön izlemek için bu ucu kullanabilirsiniz.

Authorizations
HTTPRequired

API anahtar� giriniz

Query parameters
TemplateUUIDstring · uuidOptional

Şablon UUID Bilgisi

Body
filestring · binaryOptional
Responses
200

Gönderilecek faturayı ön izler

stringOptional
post/Send/Xml/Preview
POST /earchive/Send/Xml/Preview HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17

{
  "file": "binary"
}
text
var options = new RestClientOptions("https://apitest.nilvera.com")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/earchive/Send/Xml/Preview", Method.Post);
request.AddHeader("Content-Type", "application/xml");
request.AddHeader("Authorization", "Bearer <API KEY>");
request.AddParameter("application/xml", "<file contents here>", ParameterType.RequestBody);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/earchive/Send/Xml/Preview',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => "<file contents here>",
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/xml',
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated